local followerLifetime = table.deepcopy(data.raw["technology"]["follower-robot-count-5"])
followerLifetime.name = "follower-lifetime-1"
followerLifetime.icons[2].icon = "__VanillaPlus__/follower/effect-constant-time-to-live.png"
followerLifetime.icons[2].icon_size = 64
followerLifetime.max_level = 1
followerLifetime.unit = {
	count = 1000,
	ingredients = followerLifetime.unit.ingredients,
	time = 45
}
followerLifetime.prerequisites = {"follower-robot-count-4"}
followerLifetime.effects={
	{
		type = "follower-robot-lifetime",
		modifier = 0.1
	}
}

local followerLifetimeInfinite = table.deepcopy(followerLifetime)
followerLifetimeInfinite.name = "follower-lifetime-2"
followerLifetimeInfinite.max_level = "infinite"
local ingredients = table.deepcopy(followerLifetime.unit.ingredients)
table.insert(ingredients, {"electromagnetic-science-pack",1})
followerLifetimeInfinite.unit = {
	count_formula = "1.5^(L-2)*2000",
	ingredients = ingredients,
	time = 60
}
followerLifetimeInfinite.prerequisites = {"follower-lifetime-1", "electromagnetic-science-pack"}

data:extend{followerLifetime, followerLifetimeInfinite}